Subject: Re: reminder, 2.6.18 window...

From: Jeff Garzik <[email-masked]>
Date: Wed, 24 May 2006 15:05:54 -0400

Phil Dibowitz wrote:
> On Wed, May 24, 2006 at 02:23:05PM -0400, Jeff Garzik wrote:
>> I disagree that we should bother about clearing statistics.  It always 
>> adds more complication than necessary.  Few (if any) other statistics in 
>> Linux permit easy clearing, often because adding operations other than 
>> 'increment' or 'read' requires adding expensive spinlocks or atomic 
>> operations.
> 
> Every networking device in the world supports clearing interface statistics.
> Why should linux not be able to do the most basic operation on any
> cisco/juniper/enterasys/whatever managed switch or router?
> 
> It's a common operation on a network interface, I don't see why this is a
> concern.
> 
> When I'm debugging a networking issue On a cluster of hundreds and hundreds
> of machines at work, I want to be able to reset them all quickly, and get a
> rough idea of if they're all climbing, if they're all climbing at the same
> rate, etc. And being able to do "for i in `cat hostlist`; do ssh $i ethtool -z
> eth0; done" is really, really, REALLY, useful.

Obtaining the difference between two numbers is not that difficult.

Given any method of clearing statistics across your cluster, I'm certain 
you can come up with a similar method of obtaining the current statistic 
(the baseline).

	Jeff